#
# spec file for package imgvtopgm (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libnetpbm netpbm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libnetpbm libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         imgvtopgm
Copyright:    GPL
Group:        Applications/Graphics 
Provides:     imgvtopgm
Requires:     netpbm
Autoreqprov:  on
Version:      2.0
Release:      101
Summary:      Palm Pilot image viewer to PGM converter
Source:       http://www.trends.net/~mu/srcs/%{name}-%{version}.tar.bz2
URL:          http://www.trends.net/~mu/pilot.html
BuildRoot:    %{_tmppath}/%{name}-root

%description
Tools for converting Pilot Image Viewer pdb files to and from
Portable Graymaps and Portable  Bitmaps. The tools support
grayscale and monochrome images with or without compression
and with or without notes.
If you're looking for a cool (and free) image viewer for your Pilot,
you should look at TinyViewer http://www.righto.com/pilot/tv.html

Authors:
--------
    Eric Howe <mu@trends.net>

SuSE series: gra

%prep
%setup

%build
%define prefix   /usr/
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --datadir=/usr/share
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS  CREDITS  INSTALL  NEWS Pilot16 COPYING  ChangeLog  Pilot README
%doc samples/
/usr/bin/*
/usr/share/man/man1/*

%changelog -n imgvtopgm
* Mon Jul 30 2001 - adostal@suse.cz
- change gz to bz2
* Tue Feb 13 2001 - pblaha@suse.cz
- create this package for view images on Palm
